Cloud Foundry Logo

USN-4292-1: rsync vulnerabilities


Share

USN-4292-1: rsync vulnerabilities

Severity

Low

Vendor

Canonical Ubuntu

Versions Affected

  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04

Description

It was discovered that rsync incorrectly handled pointer arithmetic in zlib. An attacker could use this issue to cause rsync to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2016-9840, CVE-2016-9841)

It was discovered that rsync incorrectly handled vectors involving left shifts of negative integers in zlib. An attacker could use this issue to cause rsync to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2016-9842)

It was discovered that rsync incorrectly handled vectors involving big-endian CRC calculation in zlib. An attacker could use this issue to cause rsync to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2016-9843)

CVEs contained in this USN include: CVE-2016-9840, CVE-2016-9841, CVE-2016-9842, CVE-2016-9843.

Affected Cloud Foundry Products and Versions

Severity is low unless otherwise noted.

  • cflinuxfs3
    • All versions prior to 0.165.0
  • Xenial Stemcells
    • 621.x versions prior to 621.59
    • 456.x versions prior to 456.100
    • 315.x versions prior to 315.171
    • 250.x versions prior to 250.185
    • 170.x versions prior to 170.205
    • 97.x versions prior to 97.234
    • All other stemcells not listed.
  • CF Deployment
    • All versions prior to v12.36.0

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

  • cflinuxfs3
    • Upgrade All versions to 0.165.0 or greater
  • Xenial Stemcells
    • Upgrade 621.x versions to 621.59 or greater
    • Upgrade 456.x versions to 456.100 or greater
    • Upgrade 315.x versions to 315.171 or greater
    • Upgrade 250.x versions to 250.185 or greater
    • Upgrade 170.x versions to 170.205 or greater
    • Upgrade 97.x versions to 97.234 or greater
    • All other stemcells should be upgraded to the latest version available on bosh.io.
  • CF Deployment
    • Upgrade All versions to v12.36.0 or greater

History

2020-02-25: Initial vulnerability report published.

Cloud Foundry Foundation Security Team Profile Image

Cloud Foundry Foundation Security Team, AUTHOR

SEE ALL ARTICLES